Skip to content
Start here

List Pool References

GET/accounts/{account_id}/load_balancers/pools/{pool_id}/references

Get the list of resources that reference the provided pool.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Load Balancing: Monitors and Pools WriteLoad Balancing: Monitors and Pools Read
Path ParametersExpand Collapse
account_id: string

Identifier.

maxLength32
pool_id: string
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
result: array of { reference_type, resource_id, resource_name, resource_type }

List of resources that reference a given pool.

reference_type: optional "*" or "referral" or "referrer"
One of the following:
"*"
"referral"
"referrer"
resource_id: optional string
resource_name: optional string
resource_type: optional string
success: true

Whether the API call was successful.

List Pool References

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/load_balancers/pools/$POOL_ID/references \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "reference_type": "referrer",
      "resource_id": "699d98642c564d2e855e9661899b7252",
      "resource_name": "www.example.com",
      "resource_type": "load_balancer"
    },
    {
      "reference_type": "referral",
      "resource_id": "f1aba936b94213e5b8dca0c0dbf1f9cc",
      "resource_name": "Login page monitor",
      "resource_type": "monitor"
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "reference_type": "referrer",
      "resource_id": "699d98642c564d2e855e9661899b7252",
      "resource_name": "www.example.com",
      "resource_type": "load_balancer"
    },
    {
      "reference_type": "referral",
      "resource_id": "f1aba936b94213e5b8dca0c0dbf1f9cc",
      "resource_name": "Login page monitor",
      "resource_type": "monitor"
    }
  ],
  "success": true
}